using PlumbingRepairContracts.Attributes;
using PlumbingRepairDataModels.Models;
using System.ComponentModel;

namespace PlumbingRepairContracts.ViewModels
{
    public class ClientViewModel : IClientModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column("ФИО клиента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column("Логин (эл. почта)", width: 150)]
		public string Email { get; set; } = string.Empty;
		[Column("Пароль", width: 150)]
		public string Password { get; set; } = string.Empty;
    }
}
